<!--
  Generated template for the SelectedprojboardPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar hideBackButton color="dark">
  	<ion-buttons left>
	  	<button ion-button (click)="backToProjBoardPage()">
	  		<ion-icon class="customIcon" name="arrow-back"></ion-icon>
	  	</button>
	</ion-buttons>
    <ion-title>{{ board.boardName }}'s Board</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>

	<ion-slides pager class="page-sliding-container">

		<!--
		<div *ngFor="let taskSectionList of taskSectionList$ | async">
			<ion-slide *ngIf="!taskSectionList.isTaskCompletedSection">
				<ion-card class="task-section-card">
					<ion-card-header class="task-section-header-title">
						<p class="task-section-title">{{ taskSectionList.taskSectionTitle }}</p>
					</ion-card-header>
					<ion-card-content class="task-section-content">
						<div *ngIf="!isAdmin">
							<div class="no-task-container">
								<p class="no-task">This section has no task yet.</p>
							</div>
						</div>
						<div *ngIf="isAdmin">
							<div class="task-section-add-new-task-outer-container" *ngIf="!taskAddPending">
								<div class="task-section-add-new-task-container" (click)="addTask()">
									<p class="task-section-add-new-task">+ Add a task</p>
								</div>
								<div class="task-section-add-new-task-container" *ngIf="task > 0" (click)="addTask()">
									<p class="task-section-add-new-task">+ Add another task</p>
								</div>
							</div>
							<div class="task-section-add-new-task-input-outer-container" *ngIf="taskAddPending">
								<div class="add-new-task-name-input-container" >
									<ion-input type="text" #taskNameInput [(ngModel)]="task.taskName" class="add-new-task-name-input"></ion-input>
								</div>
								<div class="cancel-add-task-button">
									<a class="cancel-btn" (click)="addOrCancelTask('cancel', taskSectionList.key, task)">Cancel</a>
									<a class="add-btn" (click)="addOrCancelTask('add', taskSectionList.key, task)">Add</a>
								</div>
							</div>
						</div>
					</ion-card-content>
				</ion-card>
			</ion-slide>
		</div>
		-->
		<div *ngFor="let taskSectionList of taskList$ | async">
			<ion-slide *ngIf="!taskSectionList.isTaskCompletedSection">
				<ion-card class="task-section-card">
					<ion-card-header class="task-section-header-title">
						<p class="task-section-title">{{ taskSectionList.taskSectionTitle }}</p>
						<div class="task-section-header-more-icon-container" *ngIf="isAdmin">
							<ion-icon name="more" class="task-section-header-more-icon" (click)="moreOptions(taskSectionList.key, taskSectionList.taskSectionTitle, taskSectionList)"></ion-icon>
						</div>
					</ion-card-header>
					<ion-card-content class="task-section-content">
						<div *ngIf="!isAdmin">
							<div class="no-task-container" *ngIf="!taskSectionList.task">
								<p class="no-task">This section has no task yet.</p>
							</div>
							<div class="task-card-outer-container" *ngIf="taskSectionList.task">
								<div class="task-name-container" *ngFor="let tasks of taskSectionList | gettask" (click)="showSelectedTaskModal(taskSectionList.key, tasks.key)" (press)="selectedTaskOptions(taskSectionList, tasks.key, tasks)">
									<p class="task-name">{{ tasks.taskName }}</p>
									<div class="task-icon-outer-container">
										<div class="task-icon-outer-container">
											<div class="task-priority-sign-outer-container" *ngIf="tasks.priority == 'Urgent'">
												<div class="task-priority-sign red">
													<ion-icon name="pricetag" class="task-priority-icon"></ion-icon>
													<p class="task-priority-label">{{ tasks.priority }}</p>
												</div>
											</div>
											<div class="task-priority-sign-outer-container" *ngIf="tasks.priority == 'High'">
												<div class="task-priority-sign orange">
													<ion-icon name="pricetag" class="task-priority-icon"></ion-icon>
													<p class="task-priority-label">{{ tasks.priority }}</p>
												</div>
											</div>
											<div class="task-priority-sign-outer-container" *ngIf="tasks.priority == 'Normal'">
												<div class="task-priority-sign green">
													<ion-icon name="pricetag" class="task-priority-icon"></ion-icon>
													<p class="task-priority-label">{{ tasks.priority }}</p>
												</div>
											</div>
											<div class="task-priority-sign-outer-container" *ngIf="tasks.priority == 'Low'">
												<div class="task-priority-sign grey">
													<ion-icon name="pricetag" class="task-priority-icon"></ion-icon>
													<p class="task-priority-label">{{ tasks.priority }}</p>
												</div>
											</div>
											<div class="task-icon-container" *ngIf="tasks.taskDue">
												<ion-icon name="time" class="task-icon-taskdue"></ion-icon>
											</div>
											<div class="task-icon-container" *ngIf="tasks.subTask">
												<ion-icon name="list-box" class="task-icon-subtask"></ion-icon>
											</div>
											<div class="task-icon-container" *ngIf="tasks.poll">
												<ion-icon name="stats" class="task-icon-poll"></ion-icon>
											</div>
											<div class="task-icon-container" *ngIf="tasks.assignedMember">
												<ion-icon name="people" class="task-icon-assigned"></ion-icon>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
						<div *ngIf="isAdmin">
							<div class="task-card-outer-container" *ngIf="taskSectionList.task">
								<div class="task-name-container" *ngFor="let tasks of taskSectionList | gettask" (click)="showSelectedTaskModal(taskSectionList.key, tasks.key)" (press)="selectedTaskOptions(taskSectionList, tasks.key, tasks)">
									<p class="task-name">{{ tasks.taskName }}</p>
									<div class="task-icon-outer-container">
										<div class="task-icon-outer-container">
											<div class="task-priority-sign-outer-container" *ngIf="tasks.priority == 'Urgent'">
												<div class="task-priority-sign red">
													<ion-icon name="pricetag" class="task-priority-icon"></ion-icon>
													<p class="task-priority-label">{{ tasks.priority }}</p>
												</div>
											</div>
											<div class="task-priority-sign-outer-container" *ngIf="tasks.priority == 'High'">
												<div class="task-priority-sign orange">
													<ion-icon name="pricetag" class="task-priority-icon"></ion-icon>
													<p class="task-priority-label">{{ tasks.priority }}</p>
												</div>
											</div>
											<div class="task-priority-sign-outer-container" *ngIf="tasks.priority == 'Normal'">
												<div class="task-priority-sign green">
													<ion-icon name="pricetag" class="task-priority-icon"></ion-icon>
													<p class="task-priority-label">{{ tasks.priority }}</p>
												</div>
											</div>
											<div class="task-priority-sign-outer-container" *ngIf="tasks.priority == 'Low'">
												<div class="task-priority-sign grey">
													<ion-icon name="pricetag" class="task-priority-icon"></ion-icon>
													<p class="task-priority-label">{{ tasks.priority }}</p>
												</div>
											</div>
											<div class="task-icon-container" *ngIf="tasks.taskDue">
												<ion-icon name="time" class="task-icon-taskdue"></ion-icon>
											</div>
											<div class="task-icon-container" *ngIf="tasks.subTask">
												<ion-icon name="list-box" class="task-icon-subtask"></ion-icon>
											</div>
											<div class="task-icon-container" *ngIf="tasks.poll">
												<ion-icon name="stats" class="task-icon-poll"></ion-icon>
											</div>
											<div class="task-icon-container" *ngIf="tasks.assignedMember">
												<ion-icon name="people" class="task-icon-assigned"></ion-icon>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="task-section-add-new-task-outer-container" *ngIf="!taskAddPending">
								<div class="task-section-add-new-task-container" *ngIf="!taskSectionList.task" (click)="addTask()">
									<p class="task-section-add-new-task">+ Add a task</p>
								</div>
								<div class="task-section-add-new-task-container" *ngIf="taskSectionList.task" (click)="addTask()">
									<p class="task-section-add-new-task">+ Add another task</p>
								</div>
							</div>
							<div class="task-section-add-new-task-input-outer-container" *ngIf="taskAddPending">
								<div class="add-new-task-name-input-container" >
									<ion-input type="text" #taskNameInput [(ngModel)]="task.taskName" class="add-new-task-name-input"></ion-input>
								</div>
								<div class="cancel-add-task-button">
									<a class="cancel-btn" (click)="addOrCancelTask('cancel', taskSectionList.key, task)">Cancel</a>
									<a class="add-btn" (click)="addOrCancelTask('add', taskSectionList.key, task)">Add</a>
								</div>
							</div>
						</div>
					</ion-card-content>
				</ion-card>
			</ion-slide>
		</div>

		<div *ngFor="let taskSectionList of taskList$ | async">
			<ion-slide *ngIf="taskSectionList.isTaskCompletedSection">
				<ion-card class="task-section-card">
					<ion-card-header class="task-section-header-title">
						<p class="task-section-title">{{ taskSectionList.taskSectionTitle }}</p>
						<div class="task-section-header-more-icon-container" *ngIf="isAdmin">
							<ion-icon name="more" class="task-section-header-more-icon" (click)="moreOptions(taskSectionList.key, taskSectionList.taskSectionTitle, taskSectionList)"></ion-icon>
						</div>
					</ion-card-header>
					<ion-card-content class="task-section-content">
						<div>
							<div class="no-task-container" *ngIf="!taskSectionList.task">
								<p class="no-task">No task completed yet.</p>
							</div>
							<div class="task-card-outer-container" *ngIf="taskSectionList.task">
								<div class="task-name-container" *ngFor="let tasks of taskSectionList | gettask" (click)="showSelectedTaskModal(taskSectionList.key, tasks.key)" (press)="selectedTaskOptions(taskSectionList, tasks.key, tasks)">
									<p class="task-name">{{ tasks.taskName }}</p>
									<div class="task-icon-outer-container">
										<div class="task-icon-outer-container">
											<div class="task-priority-sign-outer-container" *ngIf="tasks.priority == 'Urgent'">
												<div class="task-priority-sign red">
													<ion-icon name="pricetag" class="task-priority-icon"></ion-icon>
													<p class="task-priority-label">{{ tasks.priority }}</p>
												</div>
											</div>
											<div class="task-priority-sign-outer-container" *ngIf="tasks.priority == 'High'">
												<div class="task-priority-sign orange">
													<ion-icon name="pricetag" class="task-priority-icon"></ion-icon>
													<p class="task-priority-label">{{ tasks.priority }}</p>
												</div>
											</div>
											<div class="task-priority-sign-outer-container" *ngIf="tasks.priority == 'Normal'">
												<div class="task-priority-sign green">
													<ion-icon name="pricetag" class="task-priority-icon"></ion-icon>
													<p class="task-priority-label">{{ tasks.priority }}</p>
												</div>
											</div>
											<div class="task-priority-sign-outer-container" *ngIf="tasks.priority == 'Low'">
												<div class="task-priority-sign grey">
													<ion-icon name="pricetag" class="task-priority-icon"></ion-icon>
													<p class="task-priority-label">{{ tasks.priority }}</p>
												</div>
											</div>
											<div class="task-icon-container" *ngIf="tasks.taskDue">
												<ion-icon name="time" class="task-icon-taskdue"></ion-icon>
											</div>
											<div class="task-icon-container" *ngIf="tasks.subTask">
												<ion-icon name="list-box" class="task-icon-subtask"></ion-icon>
											</div>
											<div class="task-icon-container" *ngIf="tasks.poll">
												<ion-icon name="stats" class="task-icon-poll"></ion-icon>
											</div>
											<div class="task-icon-container" *ngIf="tasks.assignedMember">
												<ion-icon name="people" class="task-icon-assigned"></ion-icon>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</ion-card-content>
				</ion-card>
			</ion-slide>
		</div>
		
		<ion-slide *ngIf="!addSectionPending && isAdmin">
	    	<div class="add-section-container">
				<a class="add-section-link" (click)="addSections()">+ Add Section</a>
			</div>
		</ion-slide>

		<ion-slide *ngIf="addSectionPending && isAdmin">
		    <div class="add-new-section-input-container">
				<ion-card class="add-new-section-input-card">
					<div class="add-new-section-name-input-container">
						<ion-input type="text" [(ngModel)]="taskSection.taskSectionTitle"></ion-input>
					</div>
					<div class="task-completed-section-input-outer-container" *ngIf="!board.hasTaskCompleteSection">
						<ion-item class="task-completed-section-input-container">
							<ion-label class="task-completed-section-label">Task Completed Section</ion-label>
							<ion-toggle checked="false" class="task-completed-section-toggle"
								[(ngModel)]="taskSection.isTaskCompletedSection"></ion-toggle>
						</ion-item>
					</div>
					<div class="cancel-add-button">
						<a class="cancel-btn" (click)="addOrCancelSection('cancel', taskSection)">Cancel</a>
						<a class="add-btn" (click)="addOrCancelSection('add', taskSection)">Add</a>
					</div>
				</ion-card>
			</div>
		</ion-slide>
	</ion-slides>
	<ion-item [hidden]="hideComponent">
		<ion-label>Move To Task Section:</ion-label>
		<ion-select #taskSectionList [(ngModel)]="selectedTaskSectionKey" (ionChange)="selectedTaskSect()">
			<div *ngFor="let taskSect of taskList$ | async; let i = index">
				<ion-option *ngIf="taskSect.key != selectedTaskSectKey" [value]="taskSect" (ionSelect)="getIndex(i)">{{ taskSect.taskSectionTitle }}</ion-option>
			</div>
		</ion-select>
	</ion-item>
</ion-content>
